gtk-0.12.0: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Graphics.UI.Gtk.ModelView.CellEditable

Contents

- Detail
- Class Hierarchy
- Types
- Methods
- Attributes
- Signals

Description

Interface for widgets which can are used for editing cells

Synopsis

- data CellEditable
- class GObjectClass o => CellEditableClass o
- castToCellEditable :: GObjectClass obj => obj -> CellEditable
- toCellEditable :: CellEditableClass o => o -> CellEditable
- cellEditableStartEditing :: CellEditableClass self => self -> EventM EAny ()
- cellEditableEmitEditingDone :: CellEditableClass self => self -> IO ()
- cellEditableEmitRemoveWidget :: CellEditableClass self => self -> IO ()
- cellEditableEditingCanceled :: CellEditableClass self => Attr self Bool
- cellEditableEditingDone :: CellEditableClass self => Signal self (IO ())
- cellEditableRemoveWidget :: CellEditableClass self => Signal self (IO ())

# Detail

The `CellEditable` interface must be implemented for widgets to be usable when editing the contents of a `TreeView` cell.

# Class Hierarchy

     | GInterface
     | +----CellEditable

# Types

data CellEditable

Instances

Eq CellEditable |
Ord CellEditable |
GObjectClass CellEditable |
CellEditableClass CellEditable |

class GObjectClass o => CellEditableClass o

Instances

CellEditableClass CellEditable |

castToCellEditable :: GObjectClass obj => obj -> CellEditable

toCellEditable :: CellEditableClass o => o -> CellEditable

# Methods

cellEditableStartEditing :: CellEditableClass self => self -> EventM EAny ()

Begins editing on a `cellEditable`. `event` is the `Event` that began the editing process.

cellEditableEmitEditingDone :: CellEditableClass self => self -> IO ()

Emits the `cellEditableEditingDone` signal.

cellEditableEmitRemoveWidget :: CellEditableClass self => self -> IO ()

Emits the `cellEditableRemoveWidget` signal.

# Attributes

cellEditableEditingCanceled :: CellEditableClass self => Attr self Bool

Indicates whether editing on the cell has been canceled.

Default value: `False`

- Available since Gtk+ version 2.20

# Signals

cellEditableEditingDone :: CellEditableClass self => Signal self (IO ())

This signal is a sign for the cell renderer to update its value from the `cellEditable`.

Implementations of `CellEditable` are responsible for emitting this signal when they are done editing, e.g. `Entry` is emitting it when the user presses Enter.

`cellEditableEmitEditingDone` is a convenience method for emitting ::editing-done.

cellEditableRemoveWidget :: CellEditableClass self => Signal self (IO ())

This signal is meant to indicate that the cell is finished editing, and the widget may now be destroyed.

Implementations of `CellEditable` are responsible for emitting this signal when they are done editing. It must be emitted after the `cellEditableEditingDone` signal, to give the cell renderer a chance to update the cell's value before the widget is removed.

`cellEditableEmitRemoveWidget` is a convenience method for emitting ::remove-widget.